
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>&lt;Chapter 2&gt;2-2-2-1.介绍JSPs,JSTL,和EL（Introducing JSPs, JSTL, and EL） / 憋错料</title>

    <meta name="description" content="&lt;Chapter 2&gt;2-2-2-1.介绍JSPs,JSTL,和EL（Introducing JSPs, JSTL, and EL） 现在,我们的时钟显示了UTC时区的时间.我们希望我们的应用可以让用户自定义时区,并且为将来的访问记住用户的偏好.为了做到这一点,我们使用Google帐户来识别哪个用户正在使用这个应用. 在我们深入了解之前(Before we go any further),我们应当介绍一种保持HTML和我们的servlet代码相分离的方法.这允许我们分别维护应用的外观和业务逻辑(business logic),业务逻辑代码实现了我们应用的主要目标,使得我们的逻辑易于测试,应用的外观易于改变.典型的是,你将会使用">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">&lt;Chapter 2&gt;2-2-2-1.介绍JSPs,JSTL,和EL（Introducing JSPs, JSTL, and EL）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>现在，我们的时钟显示了UTC时区的时间。我们希望我们的应用可以让用户自定义时区，并且为将来的访问记住用户的偏好。为了做到这一点，我们使用Google帐户来识别哪个用户正在使用这个应用。</p>
<p>在我们深入了解之前（Before we go any further），我们应当介绍一种保持HTML和我们的servlet代码相分离的方法。这允许我们分别维护应用的外观和业务逻辑（business logic），业务逻辑代码实现了我们应用的主要目标，使得我们的逻辑易于测试，应用的外观易于改变。典型的是，你将会使用模板系统以文件形式来定义应用的外观，文件包括THML，CSS，JavaScrpt以及用于放动态数据的保留空白。在Java中很多好的模板系统可供选择，比如Apache Velocity。</p>
<p>对于这个例子，我们使用Java Servlet Pages，或JSPs。JSPs是J2EE的标准部分，它意味着你不需要安装任何其他的东西就可以使用它们。一个JSP包含文本（HTML）、定义这页逻辑的Java代码的混合。JSP编译为一个servlet（The JSP compiles to a servlet），就像我们已经定义的ClockServlet，它等同于写HTML部分和评价Java部分（that‘s equivalent to writing out the HTML portions,and evaluating the Java portions）。在某种意义上，JSPs仅仅是写servlet代码的另一种方式。</p>
<p>JSPs经常被批评为太强大了。因为从一个JSP中可以获得整个Java语言，所以存在这样的风险：业务逻辑可能会写到模板中，而你不再进行有效的分离。为了缓和这点，JSP规范的后续版本包含了新的方法来描述模板逻辑，这就有意地使得没有整个Java代码强大：Java Servlet Templating Language(JSTL)和JSP Expression Language（EL）。我们为这个例子，以及在本书的其他需要模板化输出的地方，使用这些特性。</p>
<p>编辑ClockServlet.java成类似例2-12。</p>
<p>例2-12.显示Google帐户和链接的ClockServlet.java代码</p>
<pre>pacage clock;

import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.SimpleTimeZone;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.*;

import com.google.appengine.api.users.User;
import com.google.appengine.api.users.UserService;
import com.google.appengine.api.users.UserServiceFactory;

@SuppressWarning("serial");
public cladd ClockServlet extends HttpServlet{
    public void doGet(HttpServletRequest req,HttpServletResponse resp)
               throws IOException,ServletException{
             SimpleDateFormat fmt = new SimpleDateFormat("yyyy-MM-dd hh:mm:ss.SSS");
             fmt.setTimeZone(new SimpleTimeZone(0,""));

             UserService userService = UserServiceFactory.getUserService();
             User usr = userService.getCurrentUser();
             String loginUrl = userService.createLoginURL("/");
             String logoutUrl = userService.createLogoutURL("/");

             req.setAttribute("user",user);
             req.setAttribute("loginUrl",loginUrl);
             req.setAttribute("logoutUrl",logoutUrl);
             req.setAttribute("currentTime",fmt.format(new Date()));      

             resp.setContentType("text/html");

             RequestDispatcher jsp = req.getRequestDispatcher("/WEB-INF/home.jsp");
             jsp.forward(req,resp);
        }
}</pre>
<p>接下来，在你的项目的war/WEB-INF/目录创建一个新的文件叫做home.jsp，并添加类似例2-13的内容。</p>
<p>例2-13.显示Google帐户和链接的ClockServlet.java代码</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-09 04:07:22 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>&lt;Chapter 2&gt;2-2-2-1.介绍JSPs,JSTL,和EL（Introducing JSPs, JSTL, and EL）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/j4Nrq64.html" rel="bookmark">IScroll介绍--案例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.下面简单介绍一下iScroll: iScroll是一个高性能,资源占用少,无依赖,多平台的javascript滚动插件. 它可以在桌面,移动设备和智能电视平台上工作.它一直在大力优化性能和文件大小以便在新旧设备上提供最顺畅的体验. iScroll不仅仅是 滚动.它可以处理任何需要与用户进行移动交互的元素.在你的项目中包含仅仅4kb大小的iScroll,你的项目便拥有了滚动,缩放,平移,无限滚动,视差滚动,旋转功能.给它一个扫帚它甚至能帮你打扫办公室. 即使平台本身提供的滚动已经很不错,iSc			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0x8WdQ0.html" rel="bookmark">数据格式化和ModelAttribute注解的介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于数据传递: 客户端传递数据到服务端: 1.使用普通的形式 A.传递简单的数据 如果是说你传递的数据的名称跟控制层中的形参的名称不一致的情况下需要使用 注解: @RequestParam()如果存在在注解的话,那么一定要传递对应的名称,除非设置required=&quot;false&quot; 个人建议是保存名称一致 B.传递的数据为表单的数据 (1)使用普通的表单进行提交,那么你需要注意的是 name=&quot;类中的数据&quot;,如果是说我的类中有关联的类型那么name=&quot;role			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OZQpG0.html" rel="bookmark">WPF入门教程系列六&mdash;&mdash;布局介绍与Canvas</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				从这篇文章开始是对WPF中的界面如何布局做一个较简单的介绍,大家都知道:UI是做好一个软件很重要的因素,如果没有一个漂亮的UI,功能做的再好也无法吸引很多用户使用,而且没有漂亮的界面,那么普通用户会感觉这个软件没有多少使用价值. 一. 总体介绍 WPF的布局控件都在System.Windows.Controls.Panel这个基类下面,使用 WPF提供的各种控件在WPF应用程序中界面进行布局,同时对各种子控件(如按钮.文本框,下拉框等)进行排列组合. Pane类的公共属性太多了.就简单介绍几个常			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mm9kkQM.html" rel="bookmark">JSTL简单介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.JSTL简单介绍: JSTL(JSP Standard Tag Library.JSP标准标签库)是一个不断完好的开放源码的JSP标签库.其提供两组标签,一组使用 EL(Expression Language.表达式语言).而还有一组支持使用请求时表达式. 2.为什么使用JSTL: 1)在应用程序server之间提供了一致的接口.最大程度地提高了WEB应用在各应用server之间的移植. 2)能够编写没有java代码的jsp页面.使JSP页面非常easy被WEB设计人员理解.表达更清晰.降低			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02owRn3.html" rel="bookmark">WPF入门教程系列六&mdash;&mdash;布局介绍与Canvas（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				从这篇文章开始是对WPF中的界面如何布局做一个较简单的介绍,大家都知道:UI是做好一个软件很重要的因素,如果没有一个漂亮的UI,功能做的再好也无法吸引很多用户使用,而且没有漂亮的界面,那么普通用户会感觉这个软件没有多少使用价值. 一. 总体介绍 WPF的布局控件都在System.Windows.Controls.Panel这个基类下面,使用 WPF提供的各种控件在WPF应用程序中界面进行布局,同时对各种子控件(如按钮.文本框,下拉框等)进行排列组合. Pane类的公共属性太多了.就简单介绍几个常			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDDW2YM.html" rel="bookmark">用纯JS做俄罗斯方块 - 简要思路介绍（1）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大家都知道俄罗斯方块是一款大众化的游戏了,我很小的时候就玩过,今年已经25岁了,可以说俄罗斯方块确实是历史悠久,做俄罗斯方块是我上个星期开始的想法.也许是由于自己从来没有写过这种东西吧,所以有生疏.代码的话,只完成了一小部分,大概1/5左右吧.今天还是决定先写一部分思路. 至于俄罗斯方块的话,有很多的难点,如果有JS去写的话,要考虑到碰撞啊,边界啊,下落等问题,本文这些问题大部分不会考虑到,只是提供一部分思路而已,开始已经说了,因为自己还没写完这个游戏,但是又出于想写博客记录,所以才有了这一系列			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dPz1n0.html" rel="bookmark">Spark中经常使用工具类Utils的简明介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;深入理解Spark:核心思想与源代码分析&gt;一书前言的内容请看链接&lt;深入理解SPARK:核心思想与源代码分析&gt;一书正式出版上市 &lt;深入理解Spark:核心思想与源代码分析&gt;一书第一章的内容请看链接&lt;第1章 环境准备&gt; &lt;深入理解Spark:核心思想与源代码分析&gt;一书第二章的内容请看链接&lt;第2章 SPARK设计理念与基本架构&gt; &lt;深入理解Spark:核心思想与源代码分析&gt;一书第三章第一部分的内容请看链接&lt;深入理解Spa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4ALjeZ3.html" rel="bookmark">JSP简单介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JSP JSP–Java Server Pages,和servlet技术一样,都是SUN公司定义的一种用于开发动态的web资源的技术. JSP技术最大的特点在于:写JSP就像在写html,但它相比html而言,html只能为用户提供静态数据,而JSP技术允许在页面中嵌套java代码,为用户提供动态的数据. JSP原理 浏览器访问JSP页面时,Web服务器时如何调用并执行一个JSP页面的? Web服务器在执行JSP页面时,是如何把JSP页面中的html排版标签是如何执行的? JSP页面中的java			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPywDn0.html" rel="bookmark">Appium 自动化测试&lpar;3&rpar;--Appium框架与流程介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Appium介绍 Appium是一个移动端的自动化框架,可用于测试原生应用,移动网页应用和混合型应用,且是跨平台的.可用于IOS和Android以及firefox的操作系统.原生的应用是指用android或ios的sdk编写的应用,移动网页应用是指网页应用,类似于ios中safari应用或者Chrome应用或者类浏览器的应用.混合应用是指一种包裹webview的应用,原生应用于网页内容交互性的应用.重要的是Appium是跨平台的,何为跨平台,意思就是可以针对不同的平台用一套api来编写测试用例.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M68zEZ3.html" rel="bookmark" class="title">hdu 2546 饭卡&lpar;01背包）</a>
					<div>
						Problem Description 电子科大本部食堂的饭卡有一种很诡异的设计,即在购买之前判断余额.如果购买一个商品之前,卡上的剩余金额大于或等于5元,就一定可以购买成功(即使购买后卡上余额为负) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEoe7R3.html" rel="bookmark" class="title">点滴生活感悟（更新至29）</a>
					<div>
						个人价值观,有些是自己的总结,有些是别人说过的话,只供参考: (29)不友好并非针对你:曾经我几度为身边的人对我明显不友好而难过,自责,困惑.后来,我发现,这些对我不友好的人对很多我认同的人都不友好, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eqgmv0.html" rel="bookmark" class="title">CentOS Linux 系统命令之cd命令</a>
					<div>
						Linux cd 命令是Linux系统中最常用也是最基本的命令语句,其他语句的应用都需要使用到cd命令的协助,它的作用是用来改变当前所在的目录. 命令格式: cd [目录名] 命令举例: 1).cd  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RYmgqM.html" rel="bookmark" class="title">Lesson&lpar;DynamicMerry&rpar;动态内存分配</a>
					<div>
						//  main.m //  1-27随堂笔记 //讲师: 小辉 //笔者: 王学文 //  Created by lanouhn on 15/1/27. //  Copyright (c) 2015 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0enP1a3.html" rel="bookmark" class="title">python第二十三天-----作业中</a>
					<div>
						1 #!usr/bin/env python 2 #-*-coding:utf-8-*- 3 # Author calmyan 4 import os ,sys,time 5 6 from core  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RGg5R3.html" rel="bookmark" class="title">Many2one类型的fields Compute得到的值 搜索</a>
					<div>
						v8 默认情况下compute的值不存储于数据库中,在高级搜索中也不可以进行搜索 想要对这种类型的值搜索,需要在field的定义中添加search参数,在search的函数中编写搜索逻辑. 例子: r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vZ7yL3.html" rel="bookmark" class="title">OC总结</a>
					<div>
						NSObject是所有类的基类,使继承它的子类具有创建对象的能力 区别“对象”与“对象指针”.“类” 类创建对象的过程: 分配内存空间 给对象初始化 返回对象地址 赋值给对象指针					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wEAZ8M.html" rel="bookmark" class="title">垃圾炸弹（二维前缀和）</a>
					<div>
						题目描述 2014年足球世界杯(2014 FIFA World Cup)开踢啦!为了方便球迷观看比赛,街道上很多路口都放置了的直播大屏幕,但是人群散去后总会在这些路口留下一堆垃圾.为此政府决定动用一种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47mkPY0.html" rel="bookmark" class="title">用java编写打印三个矩形的程序，并求得他们的面积---函数的应用-</a>
					<div>
						用java里的for语句打印出三个矩形 1.新建一个文本文档,并命名为DrawRectangle.java 2.编写代码--用for语句打印出三个矩形: 3.编译源程序,并运行得出结果 运用函数调用的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xv5bD4.html" rel="bookmark" class="title">javascript Deferred和递归次数限制</a>
					<div>
						function runAsyncTTS(text,speecher,audiopath) { var def = jQuery.Deferred(); var args = {&quot;Synth ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xvA9z4.html" rel="bookmark" class="title">最冤枉的关键字----sizeof</a>
					<div>
						&lt;h4&gt;一.常年被人误认为函数.&lt;/h4&gt; sizeof 是关键字不是函数,其实就算不知道它是否为32 个关键字之一时,我们也可以借助编译器确定它的身份.看下面的例子: int ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mo5l9w3.html" rel="bookmark" class="title">libevent学习六（Connect listeners ）</a>
					<div>
						创建与释放 //backlog需要查询平台说明,在linux2.2以后 backlog就变成了已完成连接但未accept的队列的最大值(原来是处于syn状态的,现在换成sysctl 控制的参数tcp_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6zJbWM.html" rel="bookmark" class="title">AFNetworking的原理与基本使用</a>
					<div>
						全称是AFNetworking 虽然运行效率没有ASI高,但是使用比ASI简单 是对NSURLConnection和NSURLSession的各自的一层包装 AFN的内部中的RunLoop AFN内部 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MglKb80.html" rel="bookmark" class="title">Spring MVC4 纯注解配置教程</a>
					<div>
						阅读本文需要又一定的sping基础,最起码要成功的运行过一个SpringMvc项目. 在传统的Spring项目中,我们要写一堆的XML文件.而这些XML文件格式要求又很严格,很不便于开发.而网上所谓的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4N1Jzy3.html" rel="bookmark" class="title">B - 一行盒子</a>
					<div>
						Description 你有一行盒子,从左到右依次编号为1, 2, 3,…, n.你可以执行四种指令: 1 X Y表示把盒子X移动到盒子Y左边(如果X已经在Y的左边则忽略此指令).2 X Y表示把盒子 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qOEZpM.html" rel="bookmark" class="title">在Tomcat上配置CAS 自己的体验</a>
					<div>
						演示环境 本文演示过程在同一个机器上的(也可以在三台实体机器或者三个的虚拟机上),环境如下: windows732位 JDK 1.6.0_18 Tomcat 6.0.29 CAS-server-3.4 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEjj710.html" rel="bookmark" class="title">Vijos1240 朴素的网络游戏</a>
					<div>
						思考: 想了很久,感觉这个dp方程没法推导啊. 之后看了看题解才发现原来是自己把自己框在原地了. 首先题目中给了 男生 女生 情侣 房间 花费这几个信息. 看到 房间以及最小花费很容易想到背包 dp[ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDjpn83.html" rel="bookmark" class="title">JavaScript  火的有点过头了，但又能火多久呢？</a>
					<div>
						2016年的前端是遍地开花的一年,各种前端框架,各种库,学都学不完,反正在前端的世界里,没有什么是JavaScript实现不了的... JavaScript 你还能再火几年?? 前些年node被捧上天 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVRx6wM.html" rel="bookmark" class="title">IE6下弹出层被select遮挡的解决</a>
					<div>
						一些使用定位的弹出层在IE6下会被select遮挡,通过调整弹出层的z-index并不能解决问题,其实在弹出层中加一个iframe即可解决. 在弹出层加入代码如下: &lt;div class=&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eaZK50.html" rel="bookmark" class="title">Android Layout 01&lowbar;activity&lowbar;Login&period;xml</a>
					<div>
						activity_login.xml 1 &lt;RelativeLayout xmlns:android=&quot;http://schemas.android.com/apk/res/andro ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
